### Constructor

# Cogl Pipeline new

#### Declaration [src]

    CoglPipeline*
    cogl_pipeline_new (
      CoglContext* context
    )

#### Description [src]

Allocates and initializes a default simple pipeline that will color a primitive white.

#### Parameters

`context`

  Type: `CoglContext`

  A `CoglContext`.

  The data is owned by the caller of the function.

#### Return value

Type: `CoglPipeline`

A pointer to a new `CoglPipeline`.

The caller of the function takes ownership of the data, and is responsible for freeing it.